HOBBITCLIENT.CFG(5)

NAME
hobbitclient.cfg - Xymon client environment variables

DESCRIPTION
Xymon programs use multiple environment variables beside the normal set of variables. For the Xymon client, the environment definitions are stored in the ~xymon/client/etc/hobbitclient.cfg file. Each line in this file is of the form NAME=VALUE and defines one environment variable NAME with the value VALUE.

SETTINGS

BBDISP
    The IP-address used to contact the Xymon server. Default: Chosen when the Xymon client was compiled.

BBDISPLAYS
    List of IP-adresses of Xymon servers. Data will be sent to all of the servers listed here. This setting is only used if BBDISP=0.0.0.0.

BBPORT
    The portnumber for used to contact the Xymon server. Default: 1984.

BBHOME
    The Xymon client top-level directory. Default: The $HOBBITCLIENTHOME setting inherited from the "runclient.sh" script which starts the Xymon client.

BBCLIENTLOGS
    The directory for the Xymon clients' own logfiles. Default: $BBHOME/logs

BBTMP
    Directory used for temporary files. Default: $BBHOME/tmp/

BB  Full path to the bb(1) client program. Default: $BBHOME/bin/bb.

Commands
    Many extension scripts expect a series of environment variables to point at various system utilities. These are included in the file when the client is built.

INHERITED SETTINGS
Some environment variables are inherited from the "runclient.sh" script which launches the Xymon client:

MACHINEDOTS
    The hostname of the local system. Default: Taken from "uname -n".

MACHINE
    The hostname of the local system, with dots replaced by commas. For compatibility with Big Brother extension scripts.

BBOSTYPE
    The operating system of the local system, in lowercase. Default: taken from "uname -s".

HOBBITCLIENTHOME
    The top-level directory for the Xymon client. Default: The location of the "runclient.sh" script.

SEE ALSO
xymon(7)